Subject: Re: "setuid xxxx: Permission denied" with new openssh
From: Len Giambrone <[email-masked]>
To: Matt Swift <[email-masked]>
Cc: [email-masked]
Date: 29 Jul 2002 19:23:57 -0400

> A recent upgarde of openssh has broken incoming ssh service.  When I
> debug the sshd, I see the error below in the Event Viewer (which is a
> very inconvient way to view log files -- is there any way to get the
> sshd service to put out to a file?)

Yes, use -e on the command line to sshd. e.g., 

cygrunsrv -I sshd -p /usr/sbin/sshd.exe -a "-D -e"

This will throw all the logging into /var/log/sshd.log

> 
> My guess is that there is some file permissions problem, but even with
> LogLevel DEBUG3, I cannot get sshd to tell me what file lacks the
> proper permissions.
> 
> When I stop the service and run "sshd -d" from a bash shell (I am the
> Administrator and only user of this machine; in /etc/passwd I have
> userid 1006), I can ssh in to the machine normally.
> 
> Any advice will be appreciated.
> 
> openssh-3.4p1-4
> Windows XP Home
> 
> I am *not* using privilege separation, but mostly default configuration of sshd
> otherwise (just protocol 2, suppress motd, etc.)
> 
> The same version of openssh with the same sshd_config file works OK on
> a different Win2k machine I have and use in a similar way.  The file
> permissions on particular files or directories may be different of course.

I've had the same problem; I've determined that it only fails with versions
later than 1.3.10-1.  Are you running the same version of Cygwin on your other
box?

                        -Len

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/